// Script by OceanBagel
// v1.0.1
// Last updated September 13th, 2021

EnsureDataLoaded();

var obj_time = Data.GameObjects.ByName("obj_time");

obj_time.Visible = true;

var gml_Object_obj_time_Draw_64 = Data.Code.ByName("gml_Object_obj_time_Draw_64");

gml_Object_obj_time_Draw_64.ReplaceGML(@"

draw_set_color(c_black)
draw_set_font(fnt_maintext)
display_set_gui_size(view_wport[0], view_hport[0])
if (debug_f == 0)
{
    debug_f = 1
    textTimer = 0
    currentSlotSelected = 0
    timerValue = 90
    textText = ""bepis""
    image_alpha = 0
}
slotWasSelected = -1
for (i = 48; i < 58; i++)
{
    if keyboard_check_pressed(i)
        slotWasSelected = (i - 48)
}
if (slotWasSelected != -1)
{
    currentSlotSelected = slotWasSelected
    textText = ((""Slot "" + string(currentSlotSelected)) + "" selected"")
    textTimer = timerValue
}
if keyboard_check_pressed(ord(""S""))
{
    textText = ((""Slot "" + string(currentSlotSelected)) + "" loaded"")
    textTimer = timerValue
    old_image_alpha = image_alpha
    image_alpha = 0
    game_save((""savestate_"" + string(currentSlotSelected)))
    image_alpha = old_image_alpha
    textText = ((""Slot "" + string(currentSlotSelected)) + "" saved"")
}
else if keyboard_check_pressed(ord(""L""))
{
    if file_exists((""savestate_"" + string(currentSlotSelected)))
        game_load((""savestate_"" + string(currentSlotSelected)))
    else
    {
        textTimer = timerValue
        textText = (""No save in slot "" + string(currentSlotSelected))
    }
}
if (textTimer > 0)
{
    if (textTimer < 8)
        image_alpha -= 0.1
    else if (image_alpha < 0.8)
        image_alpha += 0.1
    alphaGet = draw_get_alpha()
    draw_set_alpha(image_alpha)
    draw_rectangle(0, 0, (string_width(textText) + 20), (string_height(textText) + 20), 0)
    draw_text_colour(10, 10, textText, c_white, c_white, c_white, c_white, image_alpha)
    draw_set_alpha(alphaGet)
    textTimer--
}



", Data);

ScriptMessage("Done! Select the slot with 0-9, save with S, and load with L. Save states will appear in your save folder as savestate_#.");